#ifndef _EHANDLERH_
#define _EHANDLERH_

// these flags decide what to do with events, if announceFlags = 0x00 nothing is done
// the four lower bits (AF_TO_...) decide where occuring events should be sent to
// the four upper bits (AF_PROC_...) decide which events should be processed
#define AF_TO_EEPROM     (0x01)       // write events into the eeprom
#define AF_TO_SERIAL     (0x02)       // write events to the serial device
#define AF_TO_RADIO      (0x04)       // broadcast events via radio

#define AF_PROC_LOCAL    (0x10)       // process local events
#define AF_PROC_RADIO    (0x20)       // process events which were received via radio

#define AF_HANDY         (0x40)
#define AF_DEBUG_RADIO   (0x80)       // radio debug output 

void printEventToSerial(struct sensorDataRecord* event, unsigned char printall);
void handleSensorPacket(void);
void checkLocalEvents(void);

#endif
