#ifndef _FUNKH_
#define _FUNKH_

#include "sensors.h"

#define SENSOR_PACKET   (0x22)
#define TIME_PACKET     (0x33)

#define BROADCAST       (0x00)

void initFunk(void);
unsigned char getFunkPower(void);
char getFunkMode(void);
void setFunkMode(int mode); 
void setFunkRx(void);
void setFunkPower(unsigned char n);
void setFunkTxOOK(void);
void setFunkOff(void);
void sendFunk(unsigned char data);
void sendFunkNeg(unsigned char x);

void rxClear(void);

void funkPacketHandler(void);
void broadcastTimeToRadio(struct timeRecord* time);
void sendPacket(unsigned char to, unsigned char from, unsigned char type,
                unsigned char num, unsigned int length, char* data);

#define FUNK_RXBUF_SIZE   100

#define   RXSTATE_ERROR     0
#define   RXSTATE_START1    1
#define   RXSTATE_START2    2
#define   RXSTATE_BYTE      3
#define   RXSTATE_BYTENEG   4
#define   RXSTATE_FULL      5
#define   RXSTATE_WAITING1  6
#define   RXSTATE_WAITING2  7


extern volatile unsigned char rxBuf[];
extern volatile unsigned char rxState;
extern volatile unsigned int rxBufPos;
extern volatile unsigned int rxDataLength;

unsigned char funkCD(void);

extern volatile unsigned char cdCounter;

extern volatile unsigned char receivedFlags;
extern volatile unsigned int receivedWrongBytes;

unsigned char isSending;

#endif
