/*
  | S | S | T | A4 | A3 | A2 | A1 | A0 | C5 | C4 | C3 | C2 | C1 | C0 |


Some important addresses and commands:

Address:          Device:          Command:
  0               TV1              0...9    Numbers 0...9 (channel select)
  1               TV2              12       Standby
  5               VCR1             16       Master Volume +
  6               VCR2             17       Master Volume -
 17               Tuner            18       Brightness +
 18               Audio Tape       19       Brightness -
 20               CD Player        50       Fast rewind
                                   52       Fast run forward
                                   53       Play
                                   54       Stop
                                   55       Recording
*/


#ifndef _RECIRH_
#define _RECIRH_

#define RC5_A_TV1     0
#define RC5_A_TV2     1
#define RC5_A_VCR1    5
#define RC5_A_VCR2    6
#define RC5_C_0       0
#define RC5_C_1       1
#define RC5_C_2       2
#define RC5_C_3       3
#define RC5_C_4       4
#define RC5_C_5       5
#define RC5_C_6       6
#define RC5_C_7       7
#define RC5_C_8       8
#define RC5_C_9       9
#define RC5_C_REW     13
#define RC5_C_VU      16
#define RC5_C_VD      17

unsigned int ir_data;

extern unsigned int ir_data;
void recir_init(void);
unsigned char recir_getCode(void);
unsigned char recir_getAddress(void);
unsigned char recir_dataAvailable(void);
unsigned char recir_getToggle(void);
unsigned char recir_getError(void);

void handleIRInterrupt(void);

#endif



 
  


