#include <io.h>
#include <signal.h>

/* 
CAUTION: high byte of WDTCTL must be written as 5A (WDTPW), else => reset
         the high byte always reads as 69, so WDTCTL |= will mostly generate resets  

use startWatchdog() to start the WDT and to keep the watchdog alive at least 
1000 ms after the last startWatchdog() call; or stop the Watchdog, else => reset
1000ms, WDT is clocked by fACLK (assumed 32KHz)
*/

void startWatchdog(){ WDTCTL = WDT_ARST_1000;  }
void stopWatchdog(){ WDTCTL = WDTPW + WDTHOLD; }

// does a reset by not writing the WDTPW reset to the register
void reset(){ WDTCTL = 0x0000; }


